![Screenshot preview of the character page "Fervor" by glenthemes](https://64.media.tumblr.com/2e87f1141ae00ae167f5958daf1adc7d/f69874b353a112c8-b9/s1280x1920/30aeb69213b7b66f78f6d214caa1727c024d0f10.png)

**Name:** Character Page [02]: Fervor  
**Author:** @ glenthemes  
**Post:** [glenthemes.tumblr.com/post/156966437409](https://glenthemes.tumblr.com/post/156966437409)

**Preview:** [glenthpvs.tumblr.com/169864123624](htttps://glenthpvs.tumblr.com/169864123624)  
**Download [1 col]:** [pastebin.com/PmyueFWR](https://pastebin.com/PmyueFWR)  
**Download [2 cols]:** [pastebin.com/C1TDUViD](https://pastebin.com/C1TDUViD)  
**Credits:** [glencredits.tumblr.com/fervor](https://glencredits.tumblr.com/fervor)
